/* lod.rex:
    $Id: lod.rex 60 2023-06-09 13:34:43Z jeffr $
    Input: Comma delimited output (date, sunrise, sunset) of srss.rex
    Output: Date and length of day
*/

/* Print a header */
say 'Date, Length of Day'

parse pull line

do while line \= ''

	parse value line with date ', ' rt ' ' rtap ', ' st ' ' stap

	-- Get hour and number of minutes left in rise hour
	parse value rt with rth ':' rtm

	-- Skip if header/blanks/etc.
	if datatype(rth, 'W') \= 1 then do
		parse pull line
		iterate
	end

	rtm = 60 - rtm

	-- Get hour and number of minutes into set hour
	parse value st with sth ':' stm

	-- Total minutes
	mt = rtm + stm

	-- Do minutes exceed 59?
	if mt > 59 then do
		sth = sth + 1
		mt = mt - 60

		if mt < 10 then
			mt = 0''mt
	end

	-- 12 or 24 hr time?
	if sth < 12 then
		sth = sth + 12

	ht = sth - rth - 1
	
	say date', 'ht':'mt
	parse pull line
end
