/* planets.rex:
    $Id: planets.rex 67 2023-08-13 13:31:50Z jeffr $
    Input: Planet rise/set times from The Old Farmer's Almanac, Filename containing list of time correction values
    Output: Date and corrected planet rise/set time(s)
*/
parse arg planet_data time_adjs

if state(planet_data) == 1 then do
	say 'planets.rex error: data file not found.'
	exit 1
end

/* Get time adjustments */
adj = TIMEADJS(time_adjs)

/* Print a header */
say 'Date, Planet, Rise/Set, Time'

/* Main loop */
do while lines(planet_data) > 0
	day = linein(planet_data)

	/* Skip blank lines */
	if day == '' then iterate
	
	parse value day with date ',' planet ',' rise_set ',' time ',' ampm ',' col

	cor_time = CORTIME(time ampm adj col)

	say date', 'planet', 'rise_set', 'cor_time
end
/* End main loop */
exit 0
